// Composables
import { initIntercom, IntercomSymbol } from "./composables/index.mjs"; // Types
export * from "./composables/index.mjs";
export function createIntercom(options) {
  var intercom = initIntercom(options != null ? options : {});
  var install = function install(app) {
    app.provide(IntercomSymbol, intercom);
    app.config.globalProperties.$intercom = intercom;
    app.mixin({
      computed: {
        $intercom: function $intercom() {
          return intercom;
        }
      }
    });
  };
  return {
    install: install,
    intercom: intercom
  };
}
export var version = "1.0.0";
createIntercom.version = version;
//# sourceMappingURL=index.mjs.map